%define	upstream_name	 File-Rsync
%define	upstream_version 0.43

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 7

Summary:	Perl module interface to rsync
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		%{name}-0.42.build.patch

BuildRequires:	perl-devel
BuildRequires:	rsync


%description
Perl Convenience wrapper for the rsync(1) program. Written for rsync-2.3.2 and
updated for rsync-2.6.0 but should perform properly with most recent versions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README Changelog META.yml
%{perl_vendorarch}/File
%{_mandir}/*/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.430.0-7.mga3
+ Revision: 367350
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.430.0-6.mga3
+ Revision: 250636
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.430.0-5.mga2
+ Revision: 104274
- Rebuild for perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 0.430.0-4.mga1
+ Revision: 30376
- mageia rebuild
- imported package perl-File-Rsync

